Bug 67860 - Auto detection of high contrast mode is easy to trigger
Summary: Auto detection of high contrast mode is easy to trigger
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
4.0.1.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-07 09:32 UTC by Joshua Lock
Modified: 2015-12-18 14:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Lock 2013-08-07 09:32:45 UTC
The auto-detection of high contrast mode is very naive when considered in the context of fairly typical Linux desktop environments.

Many Linux systems ship with a dark theme by default with which it is very easy to trigger the high contrast mode, and rather awkward to disable (see bug #67859).
Comment 1 Michael Meeks 2013-08-07 09:38:55 UTC
I've pushed a patch to master:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0acdeacbe774b7e05323ad80b556e7102a083192

Which disables this auto-detection by default; a user can still turn that on again if they want. I'd love to back-port this to 4.1.x - but it'd be good to have some UX input on this.

The previous algorithm looks for a couple of theme colours and if both are dark auto-switches to 'high contrast mode'. IMHO our high contrast mode should be implemented by using a different set of theme colours rather than this approach but ...

Other ways to detect under Linux might be to grok the theme name and if it includes 'highcontrast' then enable that setting, otherwise never do it.

Thoughts from designers / UX advice much appreciated.
Comment 2 tommy27 2014-11-16 07:05:34 UTC
please give an update of the current bug status after Micheal's patch.
if bug is not present anymore please set status to FIXED
Comment 3 Jan Holesovsky 2015-12-18 14:13:00 UTC
Indeed, this one is pushed in the current master, closing.